unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Printers, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var  f:textfile;
begin
   AssignPrn(f);  //skojarzenie zmiennej plikowej z drukarką
   Rewrite(f);
   Writeln(f, 'Ala ma kota');  //przesłanie tekstu na drukarkę
   CloseFile(f);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
Printer.BeginDoc;
Printer.Canvas.TextOut(0,0,'Ala ma kota');  //wypisanie tekstu w obszarze roboczym
Printer.EndDoc;                             //wysłanie tekstu na drukarkę
end;

end.
